# $Revision: 1.18 $, $Date: 2001/12/02 00:51:22 $
Summary:	Basic TeX/LaTeX support
Summary(pl):	Podstawowe wsparcie dla TeX/LaTeX-a
Name:		xemacs-auctex-pkg
%define 	srcname	auctex
Version:	9.9p
Release:	3
License:	GPL
Group:		Applications/Editors/Emacs
Group(de):	Applikationen/Editors/Emacs
Group(pl):	Aplikacje/Edytory/Emacs
Source0:	ftp://ftp.icm.edu.pl/pub/CTAN/support/auctex/%{srcname}-%{version}.tar.gz
Patch0:		%{name}-info.patch
URL:		http://www.iesd.auc.dk/~amanda/auctex/
BuildArch:	noarch
BuildRequires:	xemacs
Requires:	xemacs
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	xemacs

%description
AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs and XEmacs.

AUC TeX lets you run TeX/LaTeX and other LaTeX-related tools, such as
a output filters or post processor from inside [X]Emacs. Especially
"Running LaTeX" is interesting, as AUC TeX lets you browse through the
errors TeX reported, while it moves the cursor directly to the
reported error, and displays some documentation for that particular
error. This will even work when the document is spread over several
files.

AUC TeX automatically indents your "LaTeX-source", not only as you
write it -- you can also let it indent and format an entire document.
It has a special outline feature, which can greatly help you getting
an overview of a document.

Apart from these special features, AUC TeX provides a large range of
handy [X]Emacs macros, which in several different ways can help you
write your LaTeX documents fast and painlessly.

%description -l pl 
AUC TeX jest kompletnym i konfigurowalnym rodowiskiem edycji plikw
rdowych LaTeX-a, dostpnym w programach GNU Emacs i XEmacs.

AUC TeX umoliwia uruchamianie narzdzi pakietu TeX/LaTeX i innych,
takich jak konwertery czy filtry z wewntrz programu [X]Emacs.
Szczeglnie interesujca jest opcja "Running LaTeX", poniewa pozwala
ona przeglda wiadomoci o bdach w plikach rdowych, przesuwa
kursor od razu w miejsce wystpienia bdu i czyta pliki dokumentacji
dotyczce tego bdu. Funkcja dziaa poprawnie nawet dla dokumentw
skadajcych si z kilku plikw rdowych.

AUC TeX w sposb automatyczny formatuje plik rdowy LaTeX-a, zarwno
na bieco jak i po wpisaniu. Posiada specjaln funkcj "zarysu
dokumentu", ktra wydatnie pomaga przeglda dokumenty.

Poza powyszymi specjaami, AUC TeX dostarcza wiele uytecznych makr,
pomocnych w szybkiej i bezbolesnej edycji dokumentw LaTeX-a.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

%build
(cd doc; awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo)
%{__make} EMACS=xemacs


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

%{__make} install \
	lispdir=$RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp
perl -pi -e "s#$RPM_BUILD_ROOT##" $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/tex-site.el

%{__install} doc/*.info* $RPM_BUILD_ROOT%{_infodir}

gzip -9nf README ChangeLog 

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%{_infodir}/*
%dir %{_datadir}/xemacs-packages/lisp/auctex
%{_datadir}/xemacs-packages/lisp/auctex/*.elc
%{_datadir}/xemacs-packages/lisp/auctex/style/*.elc
%{_datadir}/xemacs-packages/lisp/tex-site.el
%doc README.gz ChangeLog.gz 

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xemacs-auctex-pkg.spec,v $
Revision 1.18  2001/12/02 00:51:22  kloczek
- release 3.

Revision 1.17  2001/09/18 21:28:08  blues
- added xemacs to buildrequires

Revision 1.16  2001/08/20 21:03:37  kloczek
- release 2: spec adapterized.

Revision 1.15  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2001/05/28 12:58:13  roman
- added Polish %description
- corrected a few typos

Revision 1.12  2001/05/16 00:12:30  kloczek
- spec adapterized,
- added %description (based on README),
- added correct URL,
- some cosmetics.
NOTE: lack %description -l pl.

Revision 1.11  2000/10/27 11:04:28  klakier
- new auctex, new spec

Revision 1.10  2000/10/27 09:38:46  klakier
- added tex-site.el (it has no .elc file and it was not included)

Revision 1.9  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.8  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.7  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.6  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:15  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.3  2000/03/27 16:25:45  klakier
- added info patches

Revision 1.2  2000/02/07 22:37:28  klakier
- some fixes

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
